/*
 *      dxtabitem.cpp
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#include "dxtabitem.h"
#include "config.h"
#include "i18n.h"
#include "dxutils.h"

dxTabItem::dxTabItem(TabWidget *tabbook, int id, QWidget *parent)
    : QWidget(parent), m_tabbook(tabbook), m_id(id)
{
}

dxTabItem::~dxTabItem()
{
}

bool dxTabItem::isCurrent()
{
    return m_tabbook->indexOf(this) == m_tabbook->currentIndex();
}

